Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_query_run

## Name

librdf_query_run -- Run the query on a model giving matching statements

## Synopsis

``librdf_stream* `librdf_query_run`` (librdf_query* `query`, librdf_model* `model`);`

## Arguments

`query`

  librdf_query object

`model`

  model to operate query on

## Description

Runs the query against the (previously registered) model and returns a librdf_stream of matching librdf_statement objects.

## Return value

librdf_stream of matching statements (may be empty) or NULL on failure

<<< Previous | Home | Next >>>
librdf_query_close | Up | RDF Query Triples Class